Subject: [bug#75751] Request for merging "python-team" branch

From: Nicolas Graves <[email-masked]>
Date: Sun, 06 Apr 2025 00:23:20 +0200

On 2025-04-05 22:12, Sharlatan Hellseher wrote:

> Hi,
>
> How confident are we to merge it now?
>
> I've got this list of failed derivation which depends on python-numpy in
> first level:
>
> --8<---------------cut here---------------start------------->8---
>> ./pre-inst-env guix build -P1 -M8 -k python-numpy@1 2>&1 | grep "drv failed"
> build of /gnu/store/7j4vs0qmpq4pmp6wv95l633w9wwlb600-atlas-3.10.3.drv failed
> build of /gnu/store/2lzkvl7hsgnwbirw1ja0zblxa5yyv3hd-python-lap-0.4.0.drv failed
> build of /gnu/store/mr1pl70mgjwh7m1lark373crk5pl1lys-python-django-3.1.14.drv failed
> build of /gnu/store/klhxwyshri2ckg3hm7z6f9sx9h554fi7-python-parabam-3.0.1.drv failed
> build of /gnu/store/whxf2pjvc66jdkrkqhvmab0mj139vaj3-python-pathy-0.10.1.drv failed
> build of /gnu/store/xhd8dzjx784293lgd1b1xrhpk4zkghdv-python-plastid-0.6.1.drv failed
> build of /gnu/store/hsgyi7plqyrd0dml79qsa2z32v9mvv56-python-pandera-0.18.0.drv failed
> build of /gnu/store/snx43hiwm8r4gdm6j2wwf1nqdr6chbrq-python-shiboken-2-5.15.10.drv failed
> build of /gnu/store/6xqkf84q0cfzpb3naqgi04zq9k1x7q6s-python-sip-4.19.25.drv failed
> build of /gnu/store/px3030m9ph0ajn7n9swl7a7yqgmmyh1p-python-pyopencl-2021.2.6.drv failed
> build of /gnu/store/plc21lnn1kgx61160dc2fr0lna1wh8pa-python-keras-2.3.1.drv failed
> build of /gnu/store/famib5w1yim2nkvjzanj1s84j0wm2ff9-python-pyarrow-0.16.0.drv failed
> build of /gnu/store/45y49db5kpgn5xlh8ic29b1wj69b6nlw-swftools-0.9.2-1.772e55a.drv failed
> build of /gnu/store/bgps1c1n9fmkawsq95pkifbzs3qli3v6-variant-tools-3.1.2.drv failed
> build of /gnu/store/5wlg9ax5x7a042l3wh5isk2wpn5f2s8c-python-pomegranate-0.14.8.drv failed
> build of /gnu/store/h9vzharh5r52hsg1mqldslvwxinbf0j6-python-django-3.2.21.drv failed
> build of /gnu/store/8ra2z99ljnkm3x19x8f1spzsdbv54n68-python-brian2-2.5.1.drv failed
> build of /gnu/store/69y4lvscxl9pgq4vkb6v0lkp4fli04vq-python-wxpython-4.2.0.drv failed
> build of /gnu/store/qizk4slf6q20x2fbsa8qa9hzq481b8sh-rxcpp-4.1.1.drv failed
> build of /gnu/store/x840zdw6x3crf33f4dw4w0fs30yw75fz-python-pandas-1.5.3.drv failed
> --8<---------------cut here---------------end--------------->8---
>
> Some of the listed above are quite old and maybe we may withdraw them
> while updating dependent packages.
>
> I'll tray to volontaire more time to fix as many as I can.

I managed to fix pomegranate, but I'm working on its dependent cnvkit
now.

I did python-lap, which is definitely doable, will send the test after
merging.

IMO:
- we should drop [email-masked], I had some patches in that direction
in a patch series two weeks ago, I'll take a look.  The issue with 3.1
is that archivebox has not updated to a earlier version.
- we should drop the python-sip@4, but some of the changes this requires
are definitely not trivial (graphics / GUI related).

We could split the work Oleg. One big chunk is python-sip/wxpython and its
dependents (several days of work IMO).  Figuring out what to do with the
rest could be another big chunk.  Hopefully, we'll be ready to merge
after that.

How does that sound?  I can try and work my way back with wxpython.

-- 
Best regards,
Nicolas Graves